POST api/MsgCsw
Works with Login to API not by APY key
Request Information
URI Parameters
None.
Body Parameters
ApiMsgCswDraft| Name | Description | Type | Additional information |
|---|---|---|---|
| id_person_from | integer |
None. |
|
| id_sender | integer |
None. |
|
| id_recipient | integer |
None. |
|
| subject | string |
None. |
|
| csw_situation | string |
None. |
|
| csw_data | string |
None. |
|
| csw_solution | string |
None. |
|
| msg_tags | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id_person_from": 1,
"id_sender": 2,
"id_recipient": 3,
"subject": "sample string 4",
"csw_situation": "sample string 5",
"csw_data": "sample string 6",
"csw_solution": "sample string 7",
"msg_tags": "sample string 8"
}
application/xml, text/xml
Sample:
<ApiMsgCswDraft xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <id_person_from>1</id_person_from> <id_sender>2</id_sender> <id_recipient>3</id_recipient> <subject>sample string 4</subject> <csw_situation>sample string 5</csw_situation> <csw_data>sample string 6</csw_data> <csw_solution>sample string 7</csw_solution> <msg_tags>sample string 8</msg_tags> </ApiMsgCswDraft>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |